Probleme mit Jugrade

Ich versucher verzweifelt meine Seite mit Jupgrade von Joomla 1.5.23 auf 1.7 zu migrieren.
Leider bekomme ich immer die Fehlermeldung:406: cURL not loaded
Kann mir jemand einen Tipp geben wie ich weiter komme?

Für curl wird bplaced pro benötigt.

Oh super danke für die schnelle Antwort.
Dann kann ich ja lange basteln!!

Gibt es denn eine andere Lösung die Seite auf Joomla 1.7 zu kriegen?

Du nimmst die seite mit zu square7 machst dort das upgrade und dann wenns fertig ist nimmst dus wieder zurück zu bplaced oder local via xampp

Hi,
Migriere doch gleich auf 2.5 :wink:
Du kannst dabei die Update-Datei auch manuell auf den Webserver laden und den Downloadschritt überspringen (“Skip download” in den Optionen). Wenn du die aktuelle JUpgrade-Version zur Migration auf 2.5 nimmst musst du die joomla25.zip als {JOOMLA}/tmp/joomla25.zip hochladen.

Die Dateien gibt es hier:
anonymous:none@joomlacode.org/sv … rade/pack/

Wenn du viele Erweiterungen installiert hast, kann ich dir nur raten, das lokal mit Xampp zu machen. Da hängt unter Umständen noch ne ganze Menge Arbeit dran (war zumindest bei mir der Fall und ich habs noch immer nicht ganz fertig). Das Template kannst auch nicht so übernehmen, sondern mußt es noch überarbeiten, wenn es übernehmen willst.

Danke für Eure Hilfe.
Ich lasse mir das noch mal durch den Kopf gehen, wie ich es am besten anstelle.

Hi,
funzt nicht.
Hab die Joomla-Installation als Zip in das Verzeichnis {joomla-root}/tmp kopiert und im jUpgrade die Einstellung “Download überspringen” gesetzt, die Einstellung “Auspacken überspringen” aber auf “Nein” gelassen.
Das Gleiche habe ich übrigens mit dem Verzeichnis {joomla-root-NEU}/tmp versucht, also dem Verzeichnis, in den das neue Joomla installiert wird.

Als Meldung kommt: “Entpacke Paket… Error: zip file not found”.

Kann man den Pfad irgendwo anpassen?

Danke!

Dom.

Wenn du die aktuellste Version von JUpgrade hast, wird so wies scheint auch Joomla 2.5 herunter geladen und installiert, weshalb du den Umweg über die Zip-Datei nicht brauchst. Du mußt dann nachher nur noch die entsprechende Sprachdatei installieren.

Hier ist der Pfad für die ZIP-Datei: Du musst in der Konfiguration die passende Version wählen.

if (isset($params->mode)) { if ($params->mode == 1) { $zipfile = JPATH_ROOT.'/tmp/joomla25.zip'; } if ($params->mode == 2) { $zipfile = JPATH_ROOT.'/tmp/joomla17.zip'; } }

Das funktioniert nur mit square7, bplaced PRO, oder auf einem lokalen Server (z.B. XAMPP)

Ich würde zum Umzug eine Kopie auf einen XAMPP empfehlen und dort dann das Upgrade machen. Am Ende dann wieder zu bplaced.

Was ich ja schon in nem älteren Beitrag hier empfohlen habe :wink: Insgesamt funktioniert JUpgrade nur, wenn CUrl aktiviert ist, egal ob man die Zip-Datei schon zur Verfügung stellt oder sie erst runter laden lässt…